This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 206283 - Need to add a ShadowAction that installs rhn-virtualization-host following a host kickstart.
Need to add a ShadowAction that installs rhn-virtualization-host following a ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn420
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Wregglesworth
Brandon Perkins
:
Depends On: 210721
Blocks: 189917
  Show dependency treegraph
 
Reported: 2006-09-13 10:19 EDT by John Wregglesworth
Modified: 2007-04-18 13:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHN490
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 16:13:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2006-09-13 10:19:58 EDT
Description of problem: rhn-virtualization-host is a file containing code
specific to Virtualization Hosts that must be installed for RHN's virtualization
support to work. To avoid requiring the user to manually install it following a
kickstart, it should be installed automatically for host kickstarts. This means
we need to implement it as a ShadowAction that schedules a package install for
after the host machine reregisters with the Satellite.
Comment 1 John Wregglesworth 2006-10-02 15:05:45 EDT
Fixed in SVN.

Test Plan:

1. Subscribe a system suitable to act as a host to a RHN 500 beta satellite.
2. Create a kickstart profile with a virtualization type of Paravirtualized Host.
3. Kickstart the host with the kickstart profile created in step 2.
4. After the kickstart is complete, make sure that the system is still
registered to the satellite and has the rhn-virtualization-host and
rhn-virtualization-common code installed.
Comment 2 John Wregglesworth 2006-10-05 11:29:51 EDT
Moving to ON_QA.
Comment 3 Brandon Perkins 2006-10-19 13:48:49 EDT
Blocked by Bugzilla Bug 210721: Need to create Red Hat Network Tools for RHEL 5
channel.
Comment 4 Brandon Perkins 2006-11-16 21:15:21 EST
Fails QA.

Needed to edit /etc/yum/pluginconf.d/rhnplugin.conf to not enforce gpg.

ks-post.log has the line:

error: /usr/share/rhn/RPM-GPG-KEY: import read failed(-1).
Comment 7 Brandon Perkins 2006-11-21 01:39:17 EST
Blocked by Bugzilla Bug 216580: Can't provision guest.
Comment 8 Brandon Perkins 2006-11-27 22:36:04 EST
Verified.
Comment 9 Brandon Perkins 2006-12-19 16:13:08 EST
Closed for RHN 500 Beta.

Note You need to log in before you can comment on or make changes to this bug.